Package org.apache.wiki

## Interface WikiProvider

All Superinterfaces:
  `WikiProvider`

All Known Subinterfaces:
  `WikiAttachmentProvider`, `WikiPageProvider`

    @Deprecated
    public interface WikiProvider
    extends WikiProvider

Deprecated.
- implement directly `WikiProvider`.
Hooks all WikiProviders not using the public API into it.

See Also:
  `WikiProvider`

### Field Summary

### Fields inherited from interface org.apache.wiki.api.providers.WikiProvider

`LATEST_VERSION`

### Method Summary

All Methods Instance Methods Default Methods Deprecated Methods
`default void` `initialize​(Engine engine, java.util.Properties properties)` Deprecated. Initializes the page provider.
`default void` `initialize​(WikiEngine engine, java.util.Properties properties)` Deprecated. Initializes the page provider.

### Methods inherited from interface org.apache.wiki.api.providers.WikiProvider

`getProviderInfo`

### Method Detail

#### initialize

    default void initialize​(Engine engine,
                            java.util.Properties properties)
                     throws NoRequiredPropertyException,
                            java.io.IOException

Deprecated.
Initializes the page provider.

Specified by:
  `initialize` in interface `WikiProvider`
Parameters:
  `engine` - Engine to own this provider
  `properties` - A set of properties used to initialize this provider
Throws:
  `NoRequiredPropertyException` - If the provider needs a property which is not found in the property set
  `java.io.IOException` - If there is an IO problem

#### initialize

    default void initialize​(WikiEngine engine,
                            java.util.Properties properties)
                     throws NoRequiredPropertyException,
                            java.io.IOException

Deprecated.
Initializes the page provider.

Parameters:
  `engine` - Engine to own this provider
  `properties` - A set of properties used to initialize this provider
Throws:
  `NoRequiredPropertyException` - If the provider needs a property which is not found in the property set
  `java.io.IOException` - If there is an IO problem